Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ReferenceError: localStorage is not defined #1

Closed
brajt opened this issue Mar 14, 2016 · 7 comments

Comments

Projects
None yet
4 participants
@brajt
Copy link

commented Mar 14, 2016

I love the idea of this package, but I have a slight problem to make it work.

I get the ReferenceError: localStorage is not defined message in the server console. I see that localStorage is not defined in the source code, so I guess it has to be provided from outside. What can I be missing? Some package which is not included in the dependencies?

ReferenceError: localStorage is not defined
     at loadConfig (dev-error-overlay.js:159:16)
     at Package (dev-error-overlay.js:6:22)

My environment: 1.2.2-faster-rebuilds.0, nodejs 0.10.40
I use package based architecture and add meteor-dev-error-overlay@1.0.0 through my lib package

@brajt

This comment has been minimized.

Copy link
Author

commented Mar 14, 2016

I tried the meteor add simple:dev-error-overlay way too, but same result.

@lassombra

This comment has been minimized.

Copy link

commented Mar 14, 2016

I got around this by api.use('simple:dev-error-overlay', 'client');

I would love to figure out why this is a problem as the offending file is supposedly client only (according to his package.js).

@stubailo

This comment has been minimized.

Copy link
Owner

commented Mar 14, 2016

OK, just confirmed that the package works in Meteor 1.3 beta, but not in Meteor 1.2, with the error you just pasted.

@stubailo

This comment has been minimized.

Copy link
Owner

commented Mar 14, 2016

Looks like we found a bug in Meteor 1.3 guys!

I just republished this package using the Meteor 1.2.1 command line tool, and it should work fine. Thanks for the report! Filed an issue on meteor/meteor.

@stubailo

This comment has been minimized.

Copy link
Owner

commented Mar 14, 2016

(Note the fixed version is published as 1.0.1)

@stubailo stubailo closed this Mar 14, 2016

@brajt

This comment has been minimized.

Copy link
Author

commented Mar 14, 2016

Thanks for fixing this issue. :)

@vladimir3000

This comment has been minimized.

Copy link

commented Apr 17, 2016

Still having the localStorage issue with Meteor 1.2.1 and simple:dev-error-overlay 1.5.1

Reverted to 1.0.1, localStorage error disappears but package does not work as expected.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.